	common sonames:
libavcodec.so.55	/usr/lib64/libavcodec.so.55.52.102	/usr/lib64/libavcodec.so.55.69.100
libavdevice.so.55	/usr/lib64/libavdevice.so.55.10.100	/usr/lib64/libavdevice.so.55.13.102
libavfilter.so.4	/usr/lib64/libavfilter.so.4.2.100	/usr/lib64/libavfilter.so.4.11.100
libavformat.so.55	/usr/lib64/libavformat.so.55.33.100	/usr/lib64/libavformat.so.55.48.100
libavresample.so.1	/usr/lib64/libavresample.so.1.2.0	/usr/lib64/libavresample.so.1.3.0
libavutil.so.52	/usr/lib64/libavutil.so.52.66.100	/usr/lib64/libavutil.so.52.92.100
libpostproc.so.52	/usr/lib64/libpostproc.so.52.3.100	/usr/lib64/libpostproc.so.52.3.100
libswresample.so.0	/usr/lib64/libswresample.so.0.18.100	/usr/lib64/libswresample.so.0.19.100
libswscale.so.2	/usr/lib64/libswscale.so.2.5.102	/usr/lib64/libswscale.so.2.6.100

--- ffmpeg-libs-2.2.5-1.fc22/libavcodec.so.55	2014-08-05 07:50:15.736192986 +0200
+++ ffmpeg-libs-2.3.1-1.fc22/libavcodec.so.55	2014-08-03 11:19:58.288098000 +0200
@@ -32,2 +32,4 @@
 av_dup_packet	T
+av_dv_codec_profile	T
+av_dv_frame_profile	T
 av_fast_malloc	T
@@ -68,2 +70,3 @@
 av_packet_ref	T
+av_packet_rescale_ts	T
 av_packet_shrink_side_data	T
@@ -104,2 +107,5 @@
 avcodec_copy_context	T
+avcodec_dct_alloc	T
+avcodec_dct_get_class	T
+avcodec_dct_init	T
 avcodec_decode_audio3	T
@@ -133,2 +139,3 @@
 avcodec_flush_buffers	T
+avcodec_free_context	T
 avcodec_free_frame	T
@@ -177,2 +184,3 @@
 avpriv_dv_frame_profile2	T
+avpriv_exif_decode_ifd	T
 avpriv_find_pix_fmt	T
@@ -199,2 +207,4 @@
 avpriv_mpegaudio_decode_header	T
+avpriv_pix_fmt_bps_avi	R
+avpriv_pix_fmt_bps_mov	R
 avpriv_put_string	T
@@ -235,2 +245,4 @@
 ff_fdct_sse2	T
+ff_fdctdsp_init	T
+ff_fdctdsp_init_x86	T
 ff_fft_end	T
@@ -252,2 +264,3 @@
 ff_idct_xvid_sse2_put	T
+ff_idctdsp_init	T
 ff_jpeg_fdct_islow_10	T
@@ -264,2 +277,3 @@
 ff_mdct_init_fixed_32	T
+ff_pixblockdsp_init	T
 ff_raw_pix_fmt_tags	R

	14 symbols added
R avpriv_pix_fmt_bps_avi
R avpriv_pix_fmt_bps_mov
T av_dv_codec_profile
T av_dv_frame_profile
T av_packet_rescale_ts
T avcodec_dct_alloc
T avcodec_dct_get_class
T avcodec_dct_init
T avcodec_free_context
T avpriv_exif_decode_ifd
T ff_fdctdsp_init
T ff_fdctdsp_init_x86
T ff_idctdsp_init
T ff_pixblockdsp_init

# template for libavcodec.so.55 version script
FFMPEG_2.3.1 {
    global:
	av_dv_codec_profile;
	av_dv_frame_profile;
	av_packet_rescale_ts;
	avcodec_dct_alloc;
	avcodec_dct_get_class;
	avcodec_dct_init;
	avcodec_free_context;
	avpriv_exif_decode_ifd;
	avpriv_pix_fmt_bps_avi;
	avpriv_pix_fmt_bps_mov;
	ff_fdctdsp_init;
	ff_fdctdsp_init_x86;
	ff_idctdsp_init;
	ff_pixblockdsp_init;
};

--- ffmpeg-libs-2.2.5-1.fc22/libavdevice.so.55	2014-08-05 07:50:15.736192986 +0200
+++ ffmpeg-libs-2.3.1-1.fc22/libavdevice.so.55	2014-08-03 11:19:58.288098000 +0200
@@ -1,2 +1,4 @@
 avdevice_app_to_dev_control_message	T
+avdevice_capabilities_create	T
+avdevice_capabilities_free	T
 avdevice_configuration	T

	2 symbols added
T avdevice_capabilities_create
T avdevice_capabilities_free

# template for libavdevice.so.55 version script
FFMPEG_2.3.1 {
    global:
	avdevice_capabilities_create;
	avdevice_capabilities_free;
};

libavfilter.so.4 definitions unchanged

--- ffmpeg-libs-2.2.5-1.fc22/libavformat.so.55	2014-08-05 07:50:15.736192986 +0200
+++ ffmpeg-libs-2.3.1-1.fc22/libavformat.so.55	2014-08-03 11:19:58.288098000 +0200
@@ -23,2 +23,3 @@
 av_format_get_video_codec	T
+av_format_inject_global_side_data	T
 av_format_set_audio_codec	T
@@ -63,4 +64,6 @@
 av_set_pts_info	T
+av_stream_get_end_pts	T
 av_stream_get_parser	T
 av_stream_get_r_frame_rate	T
+av_stream_get_side_data	T
 av_stream_set_r_frame_rate	T

	3 symbols added
T av_format_inject_global_side_data
T av_stream_get_end_pts
T av_stream_get_side_data

# template for libavformat.so.55 version script
FFMPEG_2.3.1 {
    global:
	av_format_inject_global_side_data;
	av_stream_get_end_pts;
	av_stream_get_side_data;
};

--- ffmpeg-libs-2.2.5-1.fc22/libavresample.so.1	2014-08-05 07:50:15.736192986 +0200
+++ ffmpeg-libs-2.3.1-1.fc22/libavresample.so.1	2014-08-03 11:19:58.288098000 +0200
@@ -10,2 +10,3 @@
 avresample_get_matrix	T
+avresample_get_out_samples	T
 avresample_is_open	T

	1 symbols added
T avresample_get_out_samples

# template for libavresample.so.1 version script
FFMPEG_2.3.1 {
    global:
	avresample_get_out_samples;
};

--- ffmpeg-libs-2.2.5-1.fc22/libavutil.so.52	2014-08-05 07:50:15.736192986 +0200
+++ ffmpeg-libs-2.3.1-1.fc22/libavutil.so.52	2014-08-03 11:19:58.288098000 +0200
@@ -74,2 +74,5 @@
 av_dirname	T
+av_display_matrix_flip	T
+av_display_rotation_get	T
+av_display_rotation_set	T
 av_div_q	T
@@ -78,2 +81,3 @@
 av_dynarray_add	T
+av_dynarray_add_nofree	T
 av_escape	T
@@ -88,4 +92,6 @@
 av_fifo_alloc	T
+av_fifo_alloc_array	T
 av_fifo_drain	T
 av_fifo_free	T
+av_fifo_freep	T
 av_fifo_generic_read	T
@@ -99,2 +105,3 @@
 av_file_unmap	T
+av_find_best_pix_fmt_of_2	T
 av_find_info_tag	T
@@ -130,2 +137,3 @@
 av_frame_ref	T
+av_frame_remove_side_data	T
 av_frame_set_best_effort_timestamp	T
@@ -167,2 +175,3 @@
 av_get_pix_fmt	T
+av_get_pix_fmt_loss	T
 av_get_pix_fmt_name	T
@@ -177,6 +186,12 @@
 av_get_string	T
+av_get_time_base_q	T
 av_get_token	T
 av_gettime	T
+av_gettime_relative	T
+av_gettime_relative_is_monotonic	T
 av_hash_alloc	T
 av_hash_final	T
+av_hash_final_b64	T
+av_hash_final_bin	T
+av_hash_final_hex	T
 av_hash_freep	T
@@ -194,2 +209,3 @@
 av_image_alloc	T
+av_image_check_sar	T
 av_image_check_size	T
@@ -218,2 +234,3 @@
 av_log_format_line	T
+av_log_get_flags	T
 av_log_get_level	T
@@ -244,2 +261,3 @@
 av_opt_child_next	T
+av_opt_copy	T
 av_opt_eval_double	T
@@ -275,2 +293,3 @@
 av_opt_set_dict	T
+av_opt_set_dict2	T
 av_opt_set_double	T
@@ -360,2 +379,8 @@
 av_tempfile	T
+av_thread_message_queue_alloc	T
+av_thread_message_queue_free	T
+av_thread_message_queue_recv	T
+av_thread_message_queue_send	T
+av_thread_message_queue_set_err_recv	T
+av_thread_message_queue_set_err_send	T
 av_timecode_adjust_ntsc_framenum2	T
@@ -383,2 +408,3 @@
 av_xtea_init	T
+avpriv_alloc_fixed_dsp	T
 avpriv_cga_font	R

	26 symbols added
T av_display_matrix_flip
T av_display_rotation_get
T av_display_rotation_set
T av_dynarray_add_nofree
T av_fifo_alloc_array
T av_fifo_freep
T av_find_best_pix_fmt_of_2
T av_frame_remove_side_data
T av_get_pix_fmt_loss
T av_get_time_base_q
T av_gettime_relative
T av_gettime_relative_is_monotonic
T av_hash_final_b64
T av_hash_final_bin
T av_hash_final_hex
T av_image_check_sar
T av_log_get_flags
T av_opt_copy
T av_opt_set_dict2
T av_thread_message_queue_alloc
T av_thread_message_queue_free
T av_thread_message_queue_recv
T av_thread_message_queue_send
T av_thread_message_queue_set_err_recv
T av_thread_message_queue_set_err_send
T avpriv_alloc_fixed_dsp

# template for libavutil.so.52 version script
FFMPEG_2.3.1 {
    global:
	av_display_matrix_flip;
	av_display_rotation_get;
	av_display_rotation_set;
	av_dynarray_add_nofree;
	av_fifo_alloc_array;
	av_fifo_freep;
	av_find_best_pix_fmt_of_2;
	av_frame_remove_side_data;
	av_get_pix_fmt_loss;
	av_get_time_base_q;
	av_gettime_relative;
	av_gettime_relative_is_monotonic;
	av_hash_final_b64;
	av_hash_final_bin;
	av_hash_final_hex;
	av_image_check_sar;
	av_log_get_flags;
	av_opt_copy;
	av_opt_set_dict2;
	av_thread_message_queue_alloc;
	av_thread_message_queue_free;
	av_thread_message_queue_recv;
	av_thread_message_queue_send;
	av_thread_message_queue_set_err_recv;
	av_thread_message_queue_set_err_send;
	avpriv_alloc_fixed_dsp;
};

libpostproc.so.52 definitions unchanged

--- ffmpeg-libs-2.2.5-1.fc22/libswresample.so.0	2014-08-05 07:50:15.736192986 +0200
+++ ffmpeg-libs-2.3.1-1.fc22/libswresample.so.0	2014-08-03 11:19:58.288098000 +0200
@@ -1,5 +1,4 @@
-ff_log2_tab	R
-ff_resample_int16_rounder	R
 swr_alloc	T
 swr_alloc_set_opts	T
+swr_close	T
 swr_convert	T

	2 symbols removed
R ff_log2_tab
R ff_resample_int16_rounder

	1 symbols added
T swr_close

# template for libswresample.so.0 version script
FFMPEG_2.3.1 {
    global:
	swr_close;
};

libswscale.so.2 definitions unchanged

vim:ft=diff
